Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.krb5
Class KerberosTokenGenerator

    java.lang.Object
      com.ibm.security.krb5.KerberosTokenGenerator

    public class KerberosTokenGenerator

extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`KerberosTokenGenerator()` Creates a new KerberosTokenGenerator object.

Method Summary
`void` | `init(java.util.Map config)` Invokes the KerberosTokenConsumer with a Map set of objects listed: SUBJECT= Input JAAS Subject that may or may not contain credentials SERVICE_NAME = String principal Name of the Service WRAPPED = Indications if this is to be an AP_REQ Token(Integer 0) or a GSS Token(Integer 1) CLIENT_NAME = String principal Name of the Service CLIENTPASSWORD = String Service password, required is using JAAS REALM_NAME = String REALM name CLIENTLOGINCONF = JAAS Login Configuration File URL
`void` | `invoke(java.util.Map context)`
`void` | `setUseSubjectCredsOnly(boolean setUseSubjectCreds)` Forces the context to use the provided subject for the credentials

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KerberosTokenGenerator

    public KerberosTokenGenerator()

  Creates a new KerberosTokenGenerator object.

Method Detail

### init

    public void init(java.util.Map config)
              throws java.lang.Exception

  Invokes the KerberosTokenConsumer with a Map set of objects listed:
  SUBJECT= Input JAAS Subject that may or may not contain credentials
  SERVICE_NAME = String principal Name of the Service
  WRAPPED = Indications if this is to be an AP_REQ Token(Integer 0) or a GSS Token(Integer 1)
  CLIENT_NAME = String principal Name of the Service
  CLIENTPASSWORD = String Service password, required is using JAAS
  REALM_NAME = String REALM name
  CLIENTLOGINCONF = JAAS Login Configuration File URL

  Parameters:
    `config` - including the objects listed.
  Throws:
    `java.lang.IllegalStateException`
    `java.lang.Exception`

### invoke

    public void invoke(java.util.Map context)
                throws java.lang.Exception

  Parameters:
    `context` - Map context will contain the object within this class after a successful invocation.
  Throws:
    `java.lang.IllegalStateException`
    `java.lang.Exception`

### setUseSubjectCredsOnly

    public void setUseSubjectCredsOnly(boolean setUseSubjectCreds)

  Forces the context to use the provided subject for the credentials

  Parameters:
    `setUseSubjectCreds` - Boolean default equals false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD